about summary refs log tree commit diff stats
path: root/pre.sh
diff options
context:
space:
mode:
authorCharadon <dev@iotib.net>2022-07-16 17:57:53 -0400
committerCharadon <dev@iotib.net>2022-07-16 17:57:53 -0400
commit0143ed2ff68a130e8e895f0d491ab271c2afdf5d (patch)
tree907090cece8e99fc2adc66257832fe4ab7d6206f /pre.sh
parentc9a15281b7328742a59c46eb3171754ce9e30bff (diff)
downloaddscip-0143ed2ff68a130e8e895f0d491ab271c2afdf5d.tar.gz
Added chroot feature, allowed all variables used in dscip to be used in the build scripts (such as CURRENT_COMMIT) and added some examples to the build scripts.
Diffstat (limited to 'pre.sh')
-rwxr-xr-xpre.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/pre.sh b/pre.sh
index 0d614ed..28e6f2b 100755
--- a/pre.sh
+++ b/pre.sh
@@ -1,5 +1,12 @@
 #!/bin/sh
+set -e
 
-# Execute commands before building. #
+# Execute commands before building.                                            #
+# Below is an example.                                                         #
+
+sudo apt update
+sudo apt upgrade
+wget https://example.com/game_assets.zip
+unzip game_assets.zip
 
 exit 0